Component({
  properties: {
    list: {
      type: Array
    },
    onClick: {
      type: Function
    }
  },
  methods: {
    handleClick(e) {
      const {
        item
      } = e.currentTarget.dataset;
      this.triggerEvent("onClick", item)
    },
  }
})